Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228499 - Review Request: hunspell-sl - Slovenian hunspell dictionaries
Summary: Review Request: hunspell-sl - Slovenian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 12:17 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 14:48:54 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 12:17:56 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-sl.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-sl-0.20021008-1.src.rpm
Description: Slovenian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-14 11:37:56 UTC
Upstream version has been updated, current one is 27-Jan-2007. Fortunately the
difference is only the licensing terms (switched from GPL to dual GPL/LGPL).
However in order to respect all packaging rules, please update the rpm.

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site says and is
  included in the package
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

MUSTFIX:
source does not match upstream
6ff19cff25411c5ce7bd127e54395fe7441ab27d  sl_SI.zip (upstream)
b95fa4b31683ed3768532d4dc41b7a584bd795fc  sl_SI.zip (src.rpm)



Comment 2 Caolan McNamara 2007-02-14 11:44:40 UTC
updated to latest dict release as:

http://people.redhat.com/caolanm/hunspell/hunspell-sl-0.20070127-1.src.rpm

Comment 3 manuel wolfshant 2007-02-14 12:02:09 UTC
Problems fixed, APPROVED

Comment 4 Caolan McNamara 2007-02-15 14:48:54 UTC
 27644 (hunspell-sl): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.